Loading...
Searching...
No Matches
Halide::Internal::IfThenElse Struct Reference

An if-then-else block. More...

`#include <IR.h>`

Inheritance diagram for Halide::Internal::IfThenElse:

## Static Public Member Functions

static Stmt | make (Expr condition, Stmt then_case, Stmt else_case=Stmt())

## Public Attributes

Expr | condition
Stmt | then_case
Stmt | else_case
Public Attributes inherited from Halide::Internal::IRNode
RefCount | ref_count
| These classes are all managed with intrusive reference counting, so we also track a reference count.
IRNodeType | node_type
| Each IR node subclass has a unique identifier.

## Static Public Attributes

static const IRNodeType | _node_type = IRNodeType::IfThenElse

## Additional Inherited Members

Public Member Functions inherited from Halide::Internal::StmtNode< IfThenElse >
void | accept (IRVisitor *v) const override
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors.
Stmt | mutate_stmt (IRMutator *v) const override
| StmtNode ()
| ~StmtNode () override=default
Public Member Functions inherited from Halide::Internal::BaseStmtNode
| BaseStmtNode (IRNodeType t)
Public Member Functions inherited from Halide::Internal::IRNode
| IRNode (IRNodeType t)
virtual | ~IRNode ()=default

## Detailed Description

An if-then-else block.

'else' may be undefined.

Definition at line 466 of file IR.h.

## Member Function Documentation

## make()

Stmt Halide::Internal::IfThenElse::make | ( | Expr | condition,
|  | Stmt | then_case,
|  | Stmt | else_case = Stmt() )

static

References condition, else_case, and then_case.

## Member Data Documentation

## condition

Expr Halide::Internal::IfThenElse::condition

Definition at line 467 of file IR.h.

Referenced by make().

## then_case

Stmt Halide::Internal::IfThenElse::then_case

Definition at line 468 of file IR.h.

Referenced by make().

## else_case

Stmt Halide::Internal::IfThenElse::else_case

Definition at line 468 of file IR.h.

Referenced by make().

## _node_type

const IRNodeType Halide::Internal::IfThenElse::_node_type = IRNodeType::IfThenElse

static

Definition at line 472 of file IR.h.

The documentation for this struct was generated from the following file:

- src/IR.h